# Visualization
TKV2d
AIS2D

# AIS2D_SequenceOfIO Class Reference

`#include <AIS2D_SequenceOfIO.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| AIS2D_SequenceOfIO ()
Standard_EXPORT void | Clear ()
| ~AIS2D_SequenceOfIO ()
Standard_EXPORT const AIS2D_SequenceOfIO & | Assign (const AIS2D_SequenceOfIO &Other)
const AIS2D_SequenceOfIO & | operator= (const AIS2D_SequenceOfIO &Other)
Standard_EXPORT void | Append (const Handle(AIS2D_InteractiveObject)&T)
void | Append (AIS2D_SequenceOfIO &S)
Standard_EXPORT void | Prepend (const Handle(AIS2D_InteractiveObject)&T)
void | Prepend (AIS2D_SequenceOfIO &S)
void | InsertBefore (const Standard_Integer Index, const Handle(AIS2D_InteractiveObject)&T)
void | InsertBefore (const Standard_Integer Index, AIS2D_SequenceOfIO &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(AIS2D_InteractiveObject)&T)
void | InsertAfter (const Standard_Integer Index, AIS2D_SequenceOfIO &S)
Standard_EXPORT const Handle_AIS2D_InteractiveObject & | First () const
Standard_EXPORT const Handle_AIS2D_InteractiveObject & | Last () const
void | Split (const Standard_Integer Index, AIS2D_SequenceOfIO &Sub)
Standard_EXPORT const Handle_AIS2D_InteractiveObject & | Value (const Standard_Integer Index) const
const Handle_AIS2D_InteractiveObject & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(AIS2D_InteractiveObject)&I)
Standard_EXPORT Handle_AIS2D_InteractiveObject & | ChangeValue (const Standard_Integer Index)
Handle_AIS2D_InteractiveObject & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | AIS2D_SequenceOfIO (const AIS2D_SequenceOfIO &Other)

## Constructor & Destructor Documentation

AIS2D_SequenceOfIO::AIS2D_SequenceOfIO | ( |  | ) |

AIS2D_SequenceOfIO::~AIS2D_SequenceOfIO | ( |  | ) | `[inline]`

Standard_EXPORT AIS2D_SequenceOfIO::AIS2D_SequenceOfIO | ( | const AIS2D_SequenceOfIO & | Other | ) | `[private]`

## Member Function Documentation

void AIS2D_SequenceOfIO::Append | ( | AIS2D_SequenceOfIO & | S | ) |

Standard_EXPORT void AIS2D_SequenceOfIO::Append | ( | const Handle(AIS2D_InteractiveObject)& | T | ) |

Standard_EXPORT const AIS2D_SequenceOfIO& AIS2D_SequenceOfIO::Assign | ( | const AIS2D_SequenceOfIO & | Other | ) |

Standard_EXPORT Handle_AIS2D_InteractiveObject& AIS2D_SequenceOfIO::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void AIS2D_SequenceOfIO::Clear | ( |  | ) |

Standard_EXPORT const Handle_AIS2D_InteractiveObject& AIS2D_SequenceOfIO::First | ( |  | ) | const

void AIS2D_SequenceOfIO::InsertAfter | ( | const Standard_Integer | Index,
|  | AIS2D_SequenceOfIO & | S
| ) |

Standard_EXPORT void AIS2D_SequenceOfIO::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(AIS2D_InteractiveObject)& | T
| ) |

void AIS2D_SequenceOfIO::InsertBefore | ( | const Standard_Integer | Index,
|  | AIS2D_SequenceOfIO & | S
| ) |

void AIS2D_SequenceOfIO::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(AIS2D_InteractiveObject)& | T
| ) |

Standard_EXPORT const Handle_AIS2D_InteractiveObject& AIS2D_SequenceOfIO::Last | ( |  | ) | const

void AIS2D_SequenceOfIO::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS2D_SequenceOfIO::operator new | ( | size_t | size | ) | `[inline]`

void* AIS2D_SequenceOfIO::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_AIS2D_InteractiveObject& AIS2D_SequenceOfIO::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_AIS2D_InteractiveObject& AIS2D_SequenceOfIO::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const AIS2D_SequenceOfIO& AIS2D_SequenceOfIO::operator= | ( | const AIS2D_SequenceOfIO & | Other | ) | `[inline]`

void AIS2D_SequenceOfIO::Prepend | ( | AIS2D_SequenceOfIO & | S | ) |

Standard_EXPORT void AIS2D_SequenceOfIO::Prepend | ( | const Handle(AIS2D_InteractiveObject)& | T | ) |

Standard_EXPORT void AIS2D_SequenceOfIO::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void AIS2D_SequenceOfIO::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void AIS2D_SequenceOfIO::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(AIS2D_InteractiveObject)& | I
| ) |

void AIS2D_SequenceOfIO::Split | ( | const Standard_Integer | Index,
|  | AIS2D_SequenceOfIO & | Sub
| ) |

Standard_EXPORT const Handle_AIS2D_InteractiveObject& AIS2D_SequenceOfIO::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- AIS2D_SequenceOfIO.hxx